Bug 130615 - perl module for Gaim generates error
perl module for Gaim generates error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Damien Reed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-22 15:05 EDT by Michel LeBlond
Modified: 2014-06-18 04:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 02:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel LeBlond 2004-08-22 15:05:35 EDT
Description of problem: perl module for Gaim   Gaim.pm not functioning.  


Version-Release number of selected component (if applicable):
Gaim 8.1   same error happened with previous version.

How reproducible:
Easy to test,  I have Fedora2,  friend has same problem on RedHat 9
system.


Steps to Reproduce:
1. add perl plugin script to /home/****/.gaim/plugins
(create plugins directory first)
2. Open up Gaim Check Plugins in  Preferences, plugin should show,
does not. 
3. Test perl script.  
  
Actual results:
No plugin shows in Preferences.
entering perl /home/xxxs/.gaim/plugins/pluginfile.pl
generates error

perl: error while loading shared libraries:
/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi/auto/Gaim/Gaim.so:
undefined symbol: gaim_perl_callXS
[michel@localhost plugins]$


Expected results: Plugins should work. 
perl should be happy with module


Additional info:
See this site for an example of a working plugin with instructions
etc.   http://www.csua.berkeley.edu/~nksingh/checkers.htm
Comment 1 Michel LeBlond 2004-08-23 02:45:04 EDT
My mistake , seems to work fine now.  
Not sure what was wrong.  
Sorry about that. 

Note You need to log in before you can comment on or make changes to this bug.